Groovy Documentation

## groovy.swing.factory
[Groovy] Class ActionFactory

    java.lang.Object
      groovy.util.AbstractFactory
          groovy.swing.factory.ActionFactory

    class ActionFactory
    extends AbstractFactory

Authors:
  Danno Ferrin

Method Summary
`java.lang.String` | `capitalize(java.lang.String text)`
`boolean` | `isHandlesNodeChildren()`
`java.lang.Object` | `newInstance(FactoryBuilderSupport builder, java.lang.Object name, java.lang.Object value, java.util.Map attributes)`
`boolean` | `onHandleNodeAttributes(FactoryBuilderSupport builder, java.lang.Object action, java.util.Map attributes)`
`boolean` | `onNodeChildren(FactoryBuilderSupport builder, java.lang.Object node, Closure childContent)`
`void` | `setParent(FactoryBuilderSupport builder, java.lang.Object parent, java.lang.Object action)`

Methods inherited from class AbstractFactory
isHandlesNodeChildren, isLeaf, onFactoryRegistration, onHandleNodeAttributes, onNodeChildren, onNodeCompleted, setChild, setParent

Methods inherited from class java.lang.Object
java.lang.Object#wait(long), java.lang.Object#wait(long, int), java.lang.Object#wait(), java.lang.Object#equals(java.lang.Object), java.lang.Object#toString(), java.lang.Object#hashCode(), java.lang.Object#getClass(), java.lang.Object#notify(), java.lang.Object#notifyAll()

Method Detail

### capitalize

    java.lang.String capitalize(java.lang.String text)

### isHandlesNodeChildren

    boolean isHandlesNodeChildren()

### newInstance

    java.lang.Object newInstance(FactoryBuilderSupport builder, java.lang.Object name, java.lang.Object value, java.util.Map attributes)

### onHandleNodeAttributes

    boolean onHandleNodeAttributes(FactoryBuilderSupport builder, java.lang.Object action, java.util.Map attributes)

### onNodeChildren

    boolean onNodeChildren(FactoryBuilderSupport builder, java.lang.Object node, Closure childContent)

### setParent

    void setParent(FactoryBuilderSupport builder, java.lang.Object parent, java.lang.Object action)

Groovy Documentation